### Hierarchy

- unknown
  - XmrDestination

## Index

### Constructors

- constructor

### Methods

- getAddress
- getAmount
- serializeBinary
- setAddress
- setAmount
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new XmrDestination(): XmrDestination

- Inherited from jspb.Message.constructor

  #### Returns XmrDestination

## Methods

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3150

  #### Returns string

### getAmount

- getAmount(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3153

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3156

  #### Returns Uint8Array

### setAddress

- setAddress(value: string): XmrDestination

- - Defined in src/protobuf/grpc_pb.d.ts:3151

  #### Parameters

  - ##### value: string

  #### Returns XmrDestination

### setAmount

- setAmount(value: string): XmrDestination

- - Defined in src/protobuf/grpc_pb.d.ts:3154

  #### Parameters

  - ##### value: string

  #### Returns XmrDestination

### toObject

- toObject(includeInstance?: boolean): XmrDestination . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3157

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns XmrDestination . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrDestination

- - Defined in src/protobuf/grpc_pb.d.ts:3160

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrDestination

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrDestination, reader: BinaryReader): XmrDestination

- - Defined in src/protobuf/grpc_pb.d.ts:3161

  #### Parameters

  - ##### message: XmrDestination

  - ##### reader: BinaryReader

  #### Returns XmrDestination

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrDestination, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3159

  #### Parameters

  - ##### message: XmrDestination

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: XmrDestination ): XmrDestination . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3158

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrDestination

  #### Returns XmrDestination . AsObject

Generated using TypeDoc